"use strict";
var MapTransformer = (function () {
    function MapTransformer(transformer) {
        this.transformer = transformer;
    }
    MapTransformer.prototype.process = function (observable) {
        var _this = this;
        return observable.flatMap(function (o) { return _this.transformer.process(o); });
    };
    return MapTransformer;
}());
exports.MapTransformer = MapTransformer;
