import { GeneralTransformer } from '../interfaces/GeneralTransformer';
import { Observable } from 'rxjs';
export declare abstract class MatchMergeTransformer implements GeneralTransformer {
    protected abstract match(o1: any, o2: any): boolean;
    protected abstract merge(o1: any, o2: any): any;
    process(observable: Observable<any>): Observable<any>;
    private matchMerge(merged, o2);
}
